HostingModSecurityScanPaginatedListResponse
Successful response with a page of HostingModSecurityScan
errorintegerrequired
Always 0 in a successful response
Constant value:
0messagestring | nullnullablerequired
Always null in a successful response
data object[]required
Items of the page: an empty list beyond the last page
Array [
scan_idintegerrequired
hosting_idinteger | nullnullablerequired
Id of the hosting (GET /api/v3/hostings/{hosting_id})
date_createddate-timerequired
errorstring | nullnullablerequired
Error of the scan; null when it succeeded
rules_foundintegerrequired
Number of rules found by the scan: those that generated errors or blocks on the day of the scan
rules_excludedintegerrequired
Number of rules found by the scan that are disabled on the hosting now (included true in GET /api/v3/hostings/{hosting_id}/modsecurity/rules)
]
meta objectrequired
Pagination of the list
totalintegerrequired
Number of items in the whole list
countintegerrequired
Number of items in this page: 0 beyond the last page
pagesintegerrequired
Number of pages of the list
pageintegerrequired
Number of this page, starting from 1
per_pageintegerrequired
Maximum number of items in a page
HostingModSecurityScanPaginatedListResponse
{
"error": 0,
"message": "string",
"data": [
{
"scan_id": 0,
"hosting_id": 0,
"date_created": "2024-07-29T15:51:28.071Z",
"error": "string",
"rules_found": 0,
"rules_excluded": 0
}
],
"meta": {
"total": 0,
"count": 0,
"pages": 0,
"page": 0,
"per_page": 0
}
}